Node-RED:Введение/Обновление

Материал из Онлайн справочника
Перейти к навигации Перейти к поиску

Перевод: Максим Кузьмин (Cubewriter) Перевел 364226 статей для сайта.</br>Контакты:</br>* Skype: cubewriter</br>* E-mail: cubewriter@gmail.com</br>* Максим Кузьмин на freelance.ru
Проверка/Оформление/Редактирование: Мякишев Е.А.


Pixel Art Mini Meow Animated.gif Черновик


Обновление[1]

Pixel Art Mini Meow Animated.gif Примечание: Если вы используете Raspberry Pi, и на ней уже есть предустановленная версия Node-RED, читайте руководство об обновлении Node-RED на Raspberry Pi.


Если вы установили Node-RED как глобальный npm-пакет, то можете обновить ее до самой последней версии при помощи следующей команды:

sudo npm install -g --unsafe-perm node-red

Если вам нужно проверить, есть ли в Node-RED не обновленные ноды, или переустановить не обновленные ноды, установленные в пользовательской директории, у вас есть два варианта.

Во-первых, вы можете воспользоваться меню Manage Pallete в графическом редакторе Node-RED. Здесь вы можете удалять, добавлять и обновлять ноды.

Во-вторых, это можно делать с помощью командной строки:

cd ~/.node-red
npm outdated

Это напечатает список нод, которые можно обновить.

Чтобы переустановить ноду самой последней версии, можно запустить вот эту команду:

npm install foo    # чтобы переустановить последнюю версию ноды '''foo'''

После этого вам нужно будет остановить и перезапустить Node-RED.

Обновление Node.js

Чтобы обновить Node.js, например, с версии 4.x до 8.x, лучше сначала остановить работу Node-RED, а затем переустановить его следующим образом:

sudo npm cache clean --force
sudo npm install -g --unsafe-perm node-red

Вам также нужно будет пересобрать все ноды, имеющие бинарные зависимости. Если они установлены у вас в рекомендованной папке «~/.node-red», это можно сделать вот так:

cd ~/.node-red
npm rebuild

Затем вам нужно будет перезапустить Node-RED.

Примечание: Флаг «--unsafe-perm» используется по той причине, что когда node-gyp пытается перекомпилировать какую-либо родную библиотеку, он делает это пользователем «nobody» и потому не может получить доступ к некоторым директориям. Из-за этого сомнительные ноды (вроде «serialport») просто не будут установлены. Поэтому мы выполняем установку при помощи флага «--unsafe-perm», предоставляя root-доступ, благодаря чему ноды во время обновления устанавливаются корректно.

См.также

Внешние ссылки